For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a forward rule

Returns a single forward rule with its conditions and destinations.

get
Authorizations
Api-TokenstringRequired

API token in Api-Token header

Path parameters
inbox_idintegerRequired

Inbound inbox ID

Example: 1
idintegerRequired

Forward rule ID

Example: 7
Responses
200

Forward rule details

application/json
get/api/inbound/inboxes/{inbox_id}/forward_rules/{id}
curl -X GET https://mailtrap.io/api/inbound/inboxes/{inbox_id}/forward_rules/{id} \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "data": {
    "id": 9,
    "name": "Escalate urgent tickets",
    "created_at": "2026-05-08T10:30:00.000Z",
    "updated_at": "2026-05-08T12:15:00.000Z",
    "conditions": [
      {
        "match_type": "header",
        "operator": "equal",
        "value": "high",
        "header_key": "X-Priority-Level"
      },
      {
        "match_type": "recipient",
        "operator": "starts_with",
        "value": "support",
        "header_key": null
      }
    ],
    "destinations": [
      {
        "email": "oncall@example.com"
      },
      {
        "email": "lead@example.com"
      }
    ]
  }
}

Last updated

Was this helpful?